Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157049 - Add support for two new RLIMITS in kernel >2.6.12-rc3
Summary: Add support for two new RLIMITS in kernel >2.6.12-rc3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bash
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-06 13:22 UTC by Vegard Lima
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-08 12:56:16 UTC


Attachments (Terms of Use)
Patch /usr/include/bits/resource.h to add RLIMIT_NICE and RLIMIT_RTPRIO (deleted)
2005-05-06 13:22 UTC, Vegard Lima
no flags Details | Diff

Description Vegard Lima 2005-05-06 13:22:10 UTC
Description of problem:

Add a pair of rlimits for allowing non-root tasks to raise nice and rt
priorities was resently added to the linux kernel.
http://kernel.org/git/gitweb.cgi?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=e43379f10b42194b8a6e1de342cfb44463c0f6da


Something like the attached patch added to /usr/include/bits/resource.h
should add support for these rlimits.

Comment 1 Vegard Lima 2005-05-06 13:22:10 UTC
Created attachment 114078 [details]
Patch /usr/include/bits/resource.h to add RLIMIT_NICE and RLIMIT_RTPRIO

Comment 2 Jakub Jelinek 2005-06-20 15:14:03 UTC
Added to glibc CVS, will show up in next rawhide glibc build.
But bash and pam_limits need corresponding changes too.

Comment 5 Tim Waugh 2005-06-23 11:49:54 UTC
Fixed in CVS.


Note You need to log in before you can comment on or make changes to this bug.